# TargetMachineFactory

interface TargetMachineFactory

A factory for creating TargetMachine objects.

#### Since

5.1

## Functions

getLinux
Link copied to clipboard
abstract fun getLinux(): TargetMachineBuilder
Returns a TargetMachineBuilder for the Linux operating system family and the architecture of the current host.
getMacOS
Link copied to clipboard
abstract fun getMacOS(): TargetMachineBuilder
Returns a TargetMachineBuilder for the macOS operating system family and the architecture of the current host.
getWindows
Link copied to clipboard
abstract fun getWindows(): TargetMachineBuilder
Returns a TargetMachineBuilder for the Windows operating system family and the architecture of the current host.
os
Link copied to clipboard
abstract fun os(operatingSystemFamily: String): TargetMachineBuilder
Returns a TargetMachineBuilder representing the specified operating system and the architecture of the current host.